#!/bin/sh
#
# rogue launcher and options script
# 
# see rogue-guide.txt for details on setting ROGUEOPTS
#
# To load a saved game, specify the name of your savegame as the first argument
# ie. ./rogue.sh mysave
# 
EXE=rogue.gpe
NAME=Slaanesh
ROGUEOPTS="jump,noterse,passgo,name=$NAME,fruit=kiwifruit,file=$NAME.save"
TERMINFO=/usr/share/terminfo
TERM=vt100
export ROGUEOPTS TERMINFO TERM

#
# Auto minimal setup of terminfo (required for ncurses).
#
if [ ! -d $TERMINFO/v ]
then
	echo "Creating $TERMINFO directory"
	sleep 1
	mkdir -p $TERMINFO/v
	cp vt100 $TERMINFO/v
fi

# 
# Loading save game?
#
if [ $# -ge 1 ]
then
	if [ $1 = "s" ]
	then
		./$EXE -s
		exit 0
	fi
	if [ -f $1 ]
	then
		# Start with saved game
		./$EXE $1
	else
		echo "ERROR: Cannot read save game '$1'"
		exit 1
	fi
else
	# Start without saved game
	./$EXE
fi

sync
